summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-03-23 10:43:42 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-03-23 10:43:42 +0000
commit1fe3dfadd04bfe189530f9dd1d057c195afc7b37 (patch)
tree9017ad8293e001fc23e86565a23fc3da6722bf1b /tcwg-benchmark.sh
parentad413662197668b6e76ee57f1e75b1c2371772b1 (diff)
tcwg-benchmark.sh: Don't wait 5min for ssh to break connection due to reboot
Change-Id: Ibbfb9ccd93e1cd93a08875e6ea4997c93d6e1473
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index f31907d6..ce31dbc8 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -256,8 +256,10 @@ while [ $tries_left != 0 ]; do
wait $! || exit $EXTERNAL_FAIL
echo "Successfully powered-cycled $boardname"
else
- # Reboot the board
- ssh $boardname sudo /sbin/reboot || true
+ # Reboot the board.
+ # Ping board every second (ServerAliveInterval=1) to avoid
+ # waiting [default] 5min for ssh to break connection.
+ ssh -oServerAliveInterval=1 $boardname sudo /sbin/reboot || true
# Wait until the ssh server is ready
sleep 30 # Give time to the board to shutdown
ret=0